Subject: Anyone have a list of what RRs can get compressed

From: <[email-masked]>
Date: Fri, 23 Feb 2001 00:00:48 -0800 (PST)

Is there a list anywhere of which RRs utilize or historically have
utilized RFC1035 compression in BIND (any version) or other name servers
out there?

I know that BIND 8.2 fixed a bug where SRV records were erroneously
compressed.  I know that "question data", NS, CNAME, PTR, MX, and SOA RRs
can use compression.  I have heard that historical versions of BIND used
to compress RP data.  Any other RRs which I have to worry about having
compressed data in?

On a related topic, is it safe to assume that compression pointers only
point to previously occuring one-octet length fields in a domain name (cf
RFC1035 section 3.1) or previous compression pointers?

- Sam